<template>
  <div>
    <Header />
    <MainContent />
  </div>
</template>

<script>
import { mapActions } from 'vuex';
import Header from "~/components/Header.vue";
import MainContent from "~/components/MainContent.vue";

export default {
  name: 'IndexPage',
  async asyncData({ store }) {
    await store.dispatch('getProductLists');
    return {};
  },
  components: {
    Header,
    MainContent
  },
  methods: {
    ...mapActions(['getProductLists']),
  }
}
</script>
